searchNodes=[{"doc":"Library to create Absinthe schema's from introspection queries. This can be used to e.g. create Graphql clients which verify outgoing graphql documents against external schema's created from introspection. This can provide e.g. compile time safety of those documents, so you can be sure that the graphql documents you write will validate against the external schema. It leverages the same import mechanism as the SDL schema's in Absinthe. Installation If available in Hex , the package can be installed by adding artem_introspection_schema to your list of dependencies in mix.exs : def deps do [ { :artem_introspection_schema , &quot;~&gt; 0.1.0&quot; } ] end Usage Given the results of an introspection query you can create an Absinthe schema as follows: defmodule TestIntrospection do use Absinthe.Schema import Artem.ImportIntrospection import_introspection path : &quot;test/fixtures/test.json&quot; @pipeline_modifier __MODULE__ def pipeline ( pipeline ) do pipeline |&gt; Absinthe.Pipeline . without ( Absinthe.Phase.Schema.Validation.InterfacesMustResolveTypes ) end end Note that a pipeline modifier is applied to not validate interfaces. Since this is an external schema we don't have any resolvers or ways to resolve interfaces, so this phase can be skipped. Depending on the external schema there may be other (validation) phases that have to be skipped because e.g. they use an older or newer version of the grapql spec and Absinthe doesn't validate them accordingly. Schema providers You can also use a schema provider to retrieve the schema. This is a flexible way if you want to load the introspection results more dynamically, e.g. over http. See Artem.SchemaProvider for an example and Artem.ImportIntrospection.import_introspection/2 Documentation Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/artem_introspection_schema .","ref":"Artem.ImportIntrospection.html","title":"Artem.ImportIntrospection","type":"module"},{"doc":"Import types defined using the results of the introspection query. Examples import_introspection path : &quot;/path/to/introspection.json&quot; import_introspection provider : { FileProvider , file : &quot;test/fixtures/test.json&quot; }","ref":"Artem.ImportIntrospection.html#import_introspection/1","title":"Artem.ImportIntrospection.import_introspection/1","type":"macro"},{"doc":"See import_introspection/1","ref":"Artem.ImportIntrospection.html#import_introspection/2","title":"Artem.ImportIntrospection.import_introspection/2","type":"macro"},{"doc":"","ref":"Artem.ImportIntrospection.html#t:import_introspection_option/0","title":"Artem.ImportIntrospection.import_introspection_option/0","type":"type"},{"doc":"Behaviour for getting the introspection schema Example for getting it over http defmodule HttpProvider do @behaviour Artem.SchemaProvider def get ( opts ) do introspection = [ :code . priv_dir ( :absinthe ) , &quot;graphql&quot; , &quot;introspection.graphql&quot; ] |&gt; Path . join ( ) |&gt; File . read! ( ) payload = %{ &quot;operationName&quot; =&gt; &quot;IntrospectionQuery&quot; , &quot;query&quot; =&gt; introspection , &quot;variables&quot; =&gt; %{ } } |&gt; Jason . encode! ( ) |&gt; String . to_charlist ( ) url = Keyword . get ( opts , :url ) |&gt; String . to_charlist ( ) { :ok , { _ , _ , body } } = :httpc . request ( :post , { url , [ ] , &#39;application/json&#39; , payload } , [ ] , [ ] ) { :ok , body } end end See Artem.ImportIntrospection.import_introspection/2 on how to use a schema provider","ref":"Artem.SchemaProvider.html","title":"Artem.SchemaProvider","type":"behaviour"},{"doc":"","ref":"Artem.SchemaProvider.html#c:get/1","title":"Artem.SchemaProvider.get/1","type":"callback"}]